> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Return successful payments of user

> Retrieve the payment history for a specific user.



## OpenAPI

````yaml /swagger/openapi-billing.json post /payments_history
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /payments_history:
    post:
      tags:
        - Information
      summary: Return successful payments of user
      description: Retrieve the payment history for a specific user.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserInfoIn'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentsHistoryOut'
components:
  schemas:
    UserInfoIn:
      properties:
        external_id:
          description: Your unique identifier for the user
          maxLength: 256
          title: Customer Id
          type: string
      required:
        - external_id
      title: UserInfoIn
      type: object
    PaymentsHistoryOut:
      properties:
        payments:
          description: List of payments
          items:
            $ref: '#/components/schemas/PaymentHistoryOut'
          title: Payments
          type: array
      required:
        - payments
      title: PaymentsHistoryOut
      type: object
    PaymentHistoryOut:
      properties:
        order_id:
          format: uuid
          type: string
          nullable: true
        subs_id:
          format: uuid
          type: string
          nullable: true
        oneoff_id:
          format: uuid
          type: string
          nullable: true
        refunded:
          anyOf:
            - type: number
            - type: string
          title: Refunded
        amount:
          anyOf:
            - type: number
            - type: string
          title: Amount
        currency:
          $ref: '#/components/schemas/CurrencyOut'
        last4:
          type: string
          nullable: true
        network:
          type: string
          nullable: true
        payment_method:
          type: string
          nullable: true
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - order_id
        - subs_id
        - oneoff_id
        - refunded
        - amount
        - currency
        - created_at
      title: PaymentHistoryOut
      type: object
    CurrencyOut:
      properties:
        code:
          title: Code
          type: string
        minor_units:
          title: Minor Units
          type: integer
        title:
          title: Title
          type: string
        symbol:
          title: Symbol
          type: string
      required:
        - code
        - minor_units
        - title
        - symbol
      title: CurrencyOut
      type: object
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````